
/**
 * Logger类的类型定义
 */
export interface LoggerInstance {
    /** 调试级别日志 */
    debug(message: string | object): void;
    /** 信息级别日志 */
    info(message: string | object): void;
    /** 警告级别日志 */
    warn(message: string | object): void;
    /** 错误级别日志 */
    error(error: Error): void;
    /** HTTP级别日志 */
    http(message: string | object): void;
    /** 详细级别日志 */
    verbose(message: string | object): void;
}