# 个人网站策划

## 前言

我想做一个个人博客网站需要有一下功能

1. 基本用户系统

- 字典，维护一些常用字典：地区省份、菜单类别、组织架构类别等，为以后其他功能开发提供可拓展的属性

- 角色，角色是树形结构，可以有标签、排序等功能

- 组织架构/用户组，是树形结构，用户可以在多个组织

- 用户标签，字典中维护的一些用户属性

- 权限，包括页面权限，接口权限和数据权限等，下级角色只能从上级角色已有的权限中分配

- 用户，用户基础信息，用户拓展信息，用户创建，注册通过邮箱注册，可以限制错误登录次数，也可以重置，可以禁用用户，注销用户，找回密码，修改个人信息，最高管理员为root账户，他能做所有事情

2. 笔记/博客系统

- 笔记结构是树形的，可以增加标签

- 笔记可以发布为博客，即设置为公开内容，博客是单独的内容，修改笔记不影响博客能容，但是有绑定关系，可以更新和重新发布

- 博客可以点赞、评论、收藏，也是层级结构，可以增加标签分类

- 内容有markdown、富文本、思维导图、画板，结构通过关系型数据库存储，内容可以通过其他数据库存储，如mongodb、es等，增强搜索性能，可以嵌入文件等

- 对代码和编程友好

- 可以接入ai，mcp等，将笔记作为知识库，增强实用性

3. 个人空间

- 生活日志，分享照片、视频等

- 可以评论、收藏、分享、点赞

4. 阅读

- 可以上传自己下载的书，支持多种格式

- ai解读

- 评论、批注、分享

5. 工具

- 密码记录器（同步开发浏览器插件）

- 书签记录同步器（同步开发浏览器插件）

- bilibili收藏同步

- qq音乐、网易云音乐同步

- 文件管理：nas、支持在线音视频播放、媒体文件预览

- 文件对传：WEBRTC、P2P、阿里云OSS

- 热点新闻捕获

- 网页离线存储，做成pdf